PDA

Visualizza la versione completa : fedora core 3 e glib 2.2


GattoBastardo
12-12-2004, 11:22
salve!

nel tentativo di installare gDesklet ho notato che fedora core 3 usa ancora le glib versione 1.2 invece delle 2.2 o almeno le 2.0

inoltre non riesco a trovare, girando su internet, un rpm che mi permetta di aggiornare queste librerie. e' dovuto al fatto che le 2.0 non funzionano su fedora o sono io che non ho cercato nel posto giusto?

:fagiano:

Ikitt
12-12-2004, 11:36
Originariamente inviato da GattoBastardo
inoltre non riesco a trovare, girando su internet, un rpm che mi permetta di aggiornare queste librerie. e' dovuto al fatto che le 2.0 non funzionano su fedora o sono io che non ho cercato nel posto giusto?
Fedora Core 2 ha anche le glib 2.x con tutti annessi e connessi, mi risulta difficile credere che nella 3 le abbiano tolte: controlla piuttosto che siano installati anche i vari pacchetti di sviluppo (se ho ben capito quel che vuoi fare, non uso gdesklet da due vite e mezzo)

GattoBastardo
12-12-2004, 12:12
Originariamente inviato da Ikitt
Fedora Core 2 ha anche le glib 2.x con tutti annessi e connessi, mi risulta difficile credere che nella 3 le abbiano tolte: controlla piuttosto che siano installati anche i vari pacchetti di sviluppo (se ho ben capito quel che vuoi fare, non uso gdesklet da due vite e mezzo)

rpm -ql glib mi torna solo

/usr/lib/libglib-1.2.so.0
/usr/lib/libglib-1.2.so.0.0.10
/usr/lib/libgmodule-1.2.so.0
/usr/lib/libgmodule-1.2.so.0.0.10
/usr/lib/libgthread-1.2.so.0
/usr/lib/libgthread-1.2.so.0.0.10
/usr/share/doc/glib-1.2.10
/usr/share/doc/glib-1.2.10/AUTHORS
/usr/share/doc/glib-1.2.10/COPYING
/usr/share/doc/glib-1.2.10/ChangeLog
/usr/share/doc/glib-1.2.10/NEWS
/usr/share/doc/glib-1.2.10/README


immagino debba installare i vari devel quindi, giusto? :fagiano:

Ikitt
12-12-2004, 12:54
Originariamente inviato da GattoBastardo
rpm -ql glib mi torna solo
[...]
Uhm, e
rpm -qa | grep glib
cosa ti torna?
glib2 su fedora e` pacchettizzato con un nome diverso, col comando precedente dovresti poterlo trovare.

GattoBastardo
12-12-2004, 13:09
Originariamente inviato da Ikitt
Uhm, e
rpm -qa | grep glib
cosa ti torna?
glib2 su fedora e` pacchettizzato con un nome diverso, col comando precedente dovresti poterlo trovare.


glibc-2.3.3-74
glib-1.2.10-15
glibc-kernheaders-2.4-9.1.87
glibc-common-2.3.3-74
dbus-glib-0.22-10
glibc-devel-2.3.3-74
glibc-headers-2.3.3-74
glib2-2.4.8-1.fc3

Ikitt
12-12-2004, 13:21
Originariamente inviato da GattoBastardo
glib2-2.4.8-1.fc3
Eccolo qua. Questo (glib2) e` il pacchetto. Hai installato glib 2.4.8.

GattoBastardo
12-12-2004, 13:29
Originariamente inviato da Ikitt
Eccolo qua. Questo (glib2) e` il pacchetto. Hai installato glib 2.4.8.

hummm interessante, e' sfuggito a me e al configure di gDesklet :D

Ikitt
12-12-2004, 13:33
Originariamente inviato da GattoBastardo
hummm interessante, e' sfuggito a me e al configure di gDesklet :D
Allora avevo capito bene :D
gDesklet, per essere compilato, ha bisogno (dovrebbe) anche del pacchetto di sviluppo di glib2 (e gtk2 probabilmente);
occhio pero`: installa glib2-devel (o roba simile), quello relativo alla versione 2.4.8 insomma.

GattoBastardo
12-12-2004, 13:35
Originariamente inviato da Ikitt
Allora avevo capito bene :D
gDesklet, per essere compilato, ha bisogno (dovrebbe) anche del pacchetto di sviluppo di glib2 (e gtk2 probabilmente);
occhio pero`: installa glib2-devel (o roba simile), quello relativo alla versione 2.4.8 insomma.

Grazie mille

guarda, per sicurezza ti disturbo un'ultima volta. sai dove posso scaricarlo? :D

Ikitt
12-12-2004, 13:41
Originariamente inviato da GattoBastardo
Grazie mille
guarda, per sicurezza ti disturbo un'ultima volta. sai dove posso scaricarlo? :D

No problema. I pacchetti di sviluppo li trovi tutti nei CD della distribuzione e/o tramite yum
(# yum install glib2-devel)

Loading